Page MenuHomePhabricator

FRR show ipv6 bgp moved to show ip bgp ipv6
Closed, ResolvedPublicBUG

Description

In the FRR version the command has been changed

show ipv6 bgp
% Unknown command: show ipv6 bgp

with vtysh we can see that it should now be
show ip bgp ipv6

Also on a side note, it also seems that we should also use show ip bgp ipv4 to query the IPv4 address family although this is also the default when left out.

Moving the contents from /opt/vyatta/share/vyatta-op/templates/show/ipv6/bgp to /opt/vyatta/share/vyatta-op/templates/show/ip/bgp/ipv6 solved this part. However this needs more work since show ip bgp ipv6 neighbors is for instance not working correctly yet.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-20180824-frr
Why the issue appeared?
Will be filled on close

Event Timeline

Merijn created this task.Aug 24 2018, 11:44 PM
syncer assigned this task to dmbaturin.Sep 1 2018, 2:34 PM
syncer triaged this task as Normal priority.
syncer added a subscriber: syncer.

I think that was fixed

pasik added a subscriber: pasik.Oct 1 2018, 9:51 AM
syncer closed this task as Resolved.Oct 13 2018, 5:59 PM
syncer edited projects, added VyOS 1.2 Crux; removed VyOS 1.2 Crux (VyOS 1.2.0-rc4).
syncer moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.